//Core class header

#ifndef __CORE_H_INCLUDED__
#define __CORE_H_INCLUDED__

#include<iostream>
#include<SDL.h>
#include"entity/entity.h"
#include"entity/player.h"
#include"entity/block.h"
#include"entity/powerup.h"
#include"camera.h"
#include"menu.h"

class Core{
	public:
		int coreInit();
	private:
		void init();
		void close();

		void map1();

		const int SCREEN_WIDTH = 640;
		const int SCREEN_HEIGHT = 480;
		int sz;

		SDL_Window* gWindow = NULL;
		SDL_Renderer* gRenderer = NULL;

		//Player posweg(&gRenderer);
};

#endif
